--- title: "CreateRuleDirectly" slug: "management-cloudinsight-createruledirectly" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-createruledirectly" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # CreateRuleDirectly Available in Classic and VPC Create an event rule by directly specifying the monitoring items and targets without creating a rule template (monitoring item group) and a monitoring target group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/rule/group/ruleGrp/createDirectly | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body For more information on the fields related to the event rule information, see [DirectRuleGroupCreateDto](/docs/en/common-vapidatatype-cidirectrulegroupcreatedto). ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/rule/group/ruleGrp/createDirectly' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "groupDesc": "Create an event rule by directly specifying the monitoring items and targets.", "groupName": "eventRuleDirect001", "metricsGroup": { "groupDesc": "Create a monitored item group.", "groupName": "metricsGroup001", "metricsGroupItems": [ { "calculation": "AVG", "condition": "GT", "dimensions": [ { "dim": "type", "val": "svr" } ], "duration": 1, "eventLevel": "INFO", "metric": "bucket_size", "metricGroupItemId": "**********", "options": { "Min1": [ "AVG" ], "Min5": [ "AVG" ], "Min30": [ "AVG" ], "Hour2": [ "AVG" ], "Day1": [ "AVG" ] }, "threshold": "1" } ], "prodKey": "**********", "temporaryGroup": true }, "monitorGroup": { "groupDesc": "Create a monitoring target group.", "groupName": "metricsGroup002", "id": "**********", "monitorGroupItemList": [ { "nrn": "**********", "resourceId": "**********", "resourceName": "**********" } ], "prodKey": "**********", "prodName": "Object Storage", "temporaryGroup": false, "type": "NORMAL" }, "prodKey": "**********" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `ruleGroupId` | String | - | Event rule ID | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` "**********" ```